<?
include("config.php");
$plati = @file("http://www.plati.ru/asp/pay.asp?id_d=$id_d&view=$view", "r");
$plati_buy = @file("http://www.plati.ru/asp/buy.asp?id_d=$id_d", "r");
$max=count($plati);
$i=0;
while($i <= $max){
$now=$plati[$i];
$srtt=strstr($now,"<!--content-->");
$srtt2=strstr($now,"<form method=POST");
$linne=$plati[$i];
$linne=str_replace("asp", "php", $linne);
$linne=str_replace("images/", "http://www.plati.ru/images/", $linne);
$linne=str_replace("ru/http://www.plati.ru/images", "ru/images", $linne);
$linne=str_replace("php/small_day_stat.php", "asp/small_day_stat.asp", $linne);
$linne=str_replace("php/small_month_stat.php", "asp/small_month_stat.asp", $linne);
$linne=str_replace("&agent=", "", $linne);
$plati[$i]=$linne;
if($srtt == true){
$poz1=$i+33;
}
if($srtt2 == true){
$poz2=$i-7;
}
if($poz1 == true && $poz2 == true){
while($poz1 <= $poz2){
print $plati[$poz1];
$poz1=$poz1+1;
}
}
$i=$i+1;$srtt="";$srtt2="";
}
$max=count($plati_buy);
$i=0;
while($i <= $max){
$now=$plati_buy[$i];
$srtt_buy=strstr($now,"<html>");
$srtt2_buy=strstr($now,"</head>");
if($srtt_buy == true){
$poz1_buy=$i+5;
}
if($srtt2_buy == true){
$poz2_buy=$i-1;
}
if($poz1_buy == true && $poz2_buy == true){
while($poz1_buy <= $poz2_buy){
print $plati_buy[$poz1_buy];
$poz1_buy=$poz1_buy+1;
}
}
$i=$i+1;$srtt_buy="";$srtt2_buy="";
}
?>
		<form id=f2 name=f2 action="http://www.digiseller.ru/asp/curr_select.asp" method=POST>
<?
$plati_price = @file("http://www.plati.ru/asp/buy.asp?id_d=$id_d", "r");		
$max=count($plati_price);
$i=0;
while($i <= $max){
$now=$plati_price[$i];
$srtt_price=strstr($now,"Выберите тип валюты:<br>");
if($srtt_price == true){
$poz1_price=$i;$poz2_price=$i+3;
}
if($poz1_price == true && $poz2_price == true){
while($poz1_price <= $poz2_price){
print $plati_price[$poz1_price];
$poz1_price=$poz1_price+1;
}
}
$i=$i+1;$srtt_price="";
}
?>
<select size=1 name="TypeCurr" onChange="ChangeCurr()">
				<option value="WMZ">WMZ&nbsp;&nbsp;</option>
				<option value="WMR">WMR&nbsp;&nbsp;</option>
				<option value="WME">WME&nbsp;&nbsp;</option>
				<option value="Paymer">Paymer&nbsp;&nbsp;</option>
				<option value="EPZ">e-port&nbsp;&nbsp;</option>
				<option value="EGZ">e-gold&nbsp;&nbsp;</option>
				<option value="PCR">Яндекс.Деньги&nbsp;&nbsp;</option>
			</select>
		</td>
		<td><input type=submit class=button value=Оплатить id=submit1 name=submit1></td>
		</tr><tr>
		<input type=hidden name=PayROBOX>
		<input type=hidden name=ID_D value=<? echo $id_d; ?>>
		<input type=hidden name=Agent value=<? echo $idnum ?> >
		<input type=hidden name=FailPage value="http://www.wmexpress.net.ru/pay.php?id_d=<? echo $id_d; ?>">
		</tr></table>	
		</form>
